Send Remittance Request Endpoint
curl --request POST \
--url https://api.example.com/v2/cash-app/outreach/remittance-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"body": "<string>",
"bank_transaction_id": "<string>",
"partner_id": "<string>",
"email_sender_id": "<string>",
"recipient_email": "<string>"
}
'import requests
url = "https://api.example.com/v2/cash-app/outreach/remittance-request"
payload = {
"subject": "<string>",
"body": "<string>",
"bank_transaction_id": "<string>",
"partner_id": "<string>",
"email_sender_id": "<string>",
"recipient_email": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: '<string>',
body: JSON.stringify('<string>'),
bank_transaction_id: '<string>',
partner_id: '<string>',
email_sender_id: '<string>',
recipient_email: '<string>'
})
};
fetch('https://api.example.com/v2/cash-app/outreach/remittance-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/cash-app/outreach/remittance-request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subject' => '<string>',
'body' => '<string>',
'bank_transaction_id' => '<string>',
'partner_id' => '<string>',
'email_sender_id' => '<string>',
'recipient_email' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/cash-app/outreach/remittance-request"
payload := strings.NewReader("{\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"bank_transaction_id\": \"<string>\",\n \"partner_id\": \"<string>\",\n \"email_sender_id\": \"<string>\",\n \"recipient_email\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v2/cash-app/outreach/remittance-request")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"bank_transaction_id\": \"<string>\",\n \"partner_id\": \"<string>\",\n \"email_sender_id\": \"<string>\",\n \"recipient_email\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/cash-app/outreach/remittance-request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"bank_transaction_id\": \"<string>\",\n \"partner_id\": \"<string>\",\n \"email_sender_id\": \"<string>\",\n \"recipient_email\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"outreach_type": "payment_receipt",
"status": "pending",
"skip_reason": "<string>",
"bank_transaction_id": "<string>",
"payment_id": "<string>",
"partner_id": "<string>",
"email_id": "<string>",
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}cash-app
Send Remittance Request Endpoint
Send Remittance Request
Sends a remittance request email for the given bank transaction. Creates a CashAppOutreach record tracking the result. Accepts optional custom subject and body to override template.
POST
/
v2
/
cash-app
/
outreach
/
remittance-request
Send Remittance Request Endpoint
curl --request POST \
--url https://api.example.com/v2/cash-app/outreach/remittance-request \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subject": "<string>",
"body": "<string>",
"bank_transaction_id": "<string>",
"partner_id": "<string>",
"email_sender_id": "<string>",
"recipient_email": "<string>"
}
'import requests
url = "https://api.example.com/v2/cash-app/outreach/remittance-request"
payload = {
"subject": "<string>",
"body": "<string>",
"bank_transaction_id": "<string>",
"partner_id": "<string>",
"email_sender_id": "<string>",
"recipient_email": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
subject: '<string>',
body: JSON.stringify('<string>'),
bank_transaction_id: '<string>',
partner_id: '<string>',
email_sender_id: '<string>',
recipient_email: '<string>'
})
};
fetch('https://api.example.com/v2/cash-app/outreach/remittance-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v2/cash-app/outreach/remittance-request",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'subject' => '<string>',
'body' => '<string>',
'bank_transaction_id' => '<string>',
'partner_id' => '<string>',
'email_sender_id' => '<string>',
'recipient_email' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v2/cash-app/outreach/remittance-request"
payload := strings.NewReader("{\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"bank_transaction_id\": \"<string>\",\n \"partner_id\": \"<string>\",\n \"email_sender_id\": \"<string>\",\n \"recipient_email\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v2/cash-app/outreach/remittance-request")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"bank_transaction_id\": \"<string>\",\n \"partner_id\": \"<string>\",\n \"email_sender_id\": \"<string>\",\n \"recipient_email\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v2/cash-app/outreach/remittance-request")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"subject\": \"<string>\",\n \"body\": \"<string>\",\n \"bank_transaction_id\": \"<string>\",\n \"partner_id\": \"<string>\",\n \"email_sender_id\": \"<string>\",\n \"recipient_email\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"outreach_type": "payment_receipt",
"status": "pending",
"skip_reason": "<string>",
"bank_transaction_id": "<string>",
"payment_id": "<string>",
"partner_id": "<string>",
"email_id": "<string>",
"object": "<string>"
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}Authorizations
Body
application/json
Request body for sending a remittance request.
Response
Successful Response
Cash App outreach log entry.
